Skip to main content
PUT
/
v2
/
saved
/
crosstabs
/
{uuid}
v2 Replace Crosstab
curl --request PUT \
  --url http://api.globalwebindex.com/v2/saved/crosstabs/{uuid} \
  --header 'Authorization: <api-key>'
{
  "bases": [
    {
      "avg": {
        "datapoint": "<string>",
        "question": "<string>"
      },
      "dbu": {
        "datapoint": "<string>",
        "question": "<string>"
      },
      "expression": {
        "and": "<array>",
        "datapoints": [
          "<string>"
        ],
        "min_count": 123,
        "not": true,
        "or": "<array>",
        "question": "<string>",
        "suffixes": [
          123
        ]
      },
      "full_name": "<string>",
      "id": "<string>",
      "name": "<string>",
      "subtitle": "<string>"
    }
  ],
  "columns": [
    {
      "avg": {
        "datapoint": "<string>",
        "question": "<string>"
      },
      "dbu": {
        "datapoint": "<string>",
        "question": "<string>"
      },
      "expression": {
        "and": "<array>",
        "datapoints": [
          "<string>"
        ],
        "min_count": 123,
        "not": true,
        "or": "<array>",
        "question": "<string>",
        "suffixes": [
          123
        ]
      },
      "full_name": "<string>",
      "id": "<string>",
      "name": "<string>",
      "subtitle": "<string>"
    }
  ],
  "country_codes": [
    "<string>"
  ],
  "name": "<string>",
  "rows": [
    {
      "avg": {
        "datapoint": "<string>",
        "question": "<string>"
      },
      "dbu": {
        "datapoint": "<string>",
        "question": "<string>"
      },
      "expression": {
        "and": "<array>",
        "datapoints": [
          "<string>"
        ],
        "min_count": 123,
        "not": true,
        "or": "<array>",
        "question": "<string>",
        "suffixes": [
          123
        ]
      },
      "full_name": "<string>",
      "id": "<string>",
      "name": "<string>",
      "subtitle": "<string>"
    }
  ],
  "uuid": "<string>",
  "wave_codes": [
    "<string>"
  ],
  "copied_from": "<string>",
  "created_at": "<string>",
  "folder_id": "<string>",
  "metadata": {
    "json": [
      123
    ],
    "valid": true
  },
  "notes": "<string>",
  "org_id": 123,
  "shared": [
    {
      "email": "<string>",
      "error": {
        "code": 123,
        "err": "<unknown>",
        "message": "<string>",
        "meta": {},
        "type": "unknown"
      },
      "org_id": 123,
      "user_id": 123
    }
  ],
  "shared_by": {
    "email": "<string>",
    "error": {
      "code": 123,
      "err": "<unknown>",
      "message": "<string>",
      "meta": {},
      "type": "unknown"
    },
    "org_id": 123,
    "user_id": 123
  },
  "sharing_note": "<string>",
  "sharing_type": "",
  "updated_at": "<string>",
  "user_id": 123
}

Documentation Index

Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

uuid
string
required

Unique identifier of saved project

Response

OK

bases
object[]
required

bases (audiences) for this project

columns
object[]
required

Saved columns in the project.

country_codes
string[]
required

List of saved country codes.

name
string
required

Name of project.

rows
object[]
required

Saved rows in the project.

uuid
string
required

Internal unique identifier for this project.

wave_codes
string[]
required

List of wave codes.

copied_from
string

UUID of project this was copied from, may be empty.

created_at
string

When the project was created.

folder_id
string

FolderID of this project.

metadata
object

Meta contains exra FE configuration metadata.

notes
string

free-text field which user can enter notes in the UI

org_id
integer

Organisation ID

shared
object[]

Project is shared with these users/orgs.

shared_by
object
sharing_note
string

Note attached to the sharing email and in listing of projects, may be empty. This is different note to the project note.

sharing_type
enum<string>

SharingType is filled only if is project shared by other method than user/org, like linkSharedByURL.

Available options:
,
linkSharedByURL
updated_at
string

Last update time of the project.

user_id
integer

ID of user who created this project.